Subject: (fwd) Butterfly expert sought (fwd)

From: Hank Brodkin <[email-masked]>
Date: Thu, 2 Nov 1995 09:52:10 -0800

I found this post on bionet.biology.tropical and thought someone on
Leps-L might be interested.
Cheers!

---------- Forwarded message ----------
From: [email-masked] (Le mouton)
Newsgroups: bionet.biology.tropical
Subject: Butterfly expert sought
Date: 1 Nov 1995 11:40:35 -0500
Organization: America Online, Inc. (1-800-827-6364)
Lines: 6
Sender: [email-masked]
Message-ID: <[email-masked]>
Reply-To: [email-masked] (Le mouton)
NNTP-Posting-Host: newsbf02.mail.aol.com
Xref: kaiwan.kaiwan.com bionet.biology.tropical:1028

I recently met the preeminent collector/scholar of Venezuelan butterflies.
He's a wonderful person and he knows very few people outside of his
country interested in/knowledgeable about butterflies. He's not wired, so
I'll pass along his address if you'd like to correspond with him via
regular mail. He's also a wildlife artists. My address is:
[email-masked].

--
--------------------------------------------------------------------------
        Hank Brodkin <[email-masked]> Marina Del Rey, CA
                        33.58'24"N 118.27'39"W
 finger <[email-masked]> for information about the Calbird-L Mail List